summaryrefslogtreecommitdiffstats
path: root/docker/federation/run-federation-test.bash
diff options
context:
space:
mode:
authorFelix <me@nutomic.com>2020-04-13 15:06:41 +0200
committerFelix <me@nutomic.com>2020-04-13 15:06:41 +0200
commitfdaf0b33642fec0e3e47b86cd7284b2fcea13ce9 (patch)
treed35aeb00bcae525aa860de9ec6b6aefadf5e7f28 /docker/federation/run-federation-test.bash
parentfac1cc7e1dc3b78aa48ae8c945c8c1cbd9e7fc9e (diff)
Get inbox working properly
Diffstat (limited to 'docker/federation/run-federation-test.bash')
-rwxr-xr-xdocker/federation/run-federation-test.bash8
1 files changed, 5 insertions, 3 deletions
diff --git a/docker/federation/run-federation-test.bash b/docker/federation/run-federation-test.bash
index 7cf26206..62bc1e8b 100755
--- a/docker/federation/run-federation-test.bash
+++ b/docker/federation/run-federation-test.bash
@@ -1,9 +1,11 @@
#!/bin/bash
set -e
-pushd ../../ui/ || exit
-yarn build
-popd || exit
+if [ "$1" = "-yarn" ]; then
+ pushd ../../ui/ || exit
+ yarn build
+ popd || exit
+fi
pushd ../../server/ || exit
cargo build